#!/bin/bash

AGENT="Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.1.3) Gecko/20090913 Firefox/3.5.3"
OPTS=-u "$AGENT" -z 1.1
#OPTS="-z 1.5"
HISTORY=~/var/rofi-www-history

if [ "$1" = "" ]; then
    URL=$(cat $HISTORY | rofi -fuzzy -hide-scrollbar -dmenu -p "URL: ")
    echo "$URL" | grep -e ^http || CLIP=https://$CLIP
    echo "$URL" >>$HISTORY
else
    URL=$@
    echo "$@" | grep -e ^http && CLIP=https://$CLIP
    echo "$@" >>$HISTORY
fi
TMP=$(tempfile)
cat $HISTORY | sort | uniq >>$TMP && mv $TMP $HISTORY
rm -f $TMP

if [ "$URL" = "" ]; then
    exit 0
fi

if [[ "$URL" = http* ]]; then
    firefox --new-window "$URL"
else
    firefox --new-window --search "$URL"
fi
